import request from '@/utils/request'

// 查询指标模板列表
export function listTpl(query) {
    return request({
        url: '/metrics/tpl/list',
        method: 'get',
        params: query
    })
}

// 查询指标模板详细
export function getTpl(tplId) {
    return request({
        url: '/metrics/tpl/' + tplId,
        method: 'get'
    })
}

// 新增指标模板
export function addTpl(data) {
    return request({
        url: '/metrics/tpl',
        method: 'post',
        data: data
    })
}

// 修改指标模板
export function updateTpl(data) {
    return request({
        url: '/metrics/tpl',
        method: 'put',
        data: data
    })
}

// 删除指标模板
export function delTpl(tplId) {
    return request({
        url: '/metrics/tpl/' + tplId,
        method: 'delete'
    })
}
